Bug 860260 - Dependency of activemq-cpp headers on apr/apr-util headers
Dependency of activemq-cpp headers on apr/apr-util headers
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: activemq-cpp (Show other bugs)
el6
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 08:23 EDT by František Dvořák
Modified: 2013-09-24 12:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: activemq-cpp-3.7.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 12:15:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for activemq-cpp-config and activemq-cpp.pc (1.15 KB, patch)
2012-09-25 08:23 EDT, František Dvořák
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA AMQCPP-419 None None None 2012-09-25 08:23:22 EDT

  None (edit)
Description František Dvořák 2012-09-25 08:23:22 EDT
Created attachment 617012 [details]
Patch for activemq-cpp-config and activemq-cpp.pc

Description of problem:
activemq-cpp headers depends on apr and apr-utils headers. Plus, apr/apr-util have headers placed in apr-1 subdirectory, which needs additional compile flags returned by activemq-cpp-config or activemq-cpp.pc.

I'm sending a patch to include in src package. Similar change is already included in upstream (https://issues.apache.org/jira/browse/AMQCPP-419).

Version-Release number of selected component (if applicable):
3.4.0-2.el6

How reproducible:
always

Steps to Reproduce:
1. yum install activemq-cpp-devel
2. pkg-config --cflags activemq-cpp


Actual results:
-I/usr/include/activemq-cpp-3.4.0

(and there is an error when compiling:
/usr/include/activemq-cpp-3.4.0/decaf/internal/AprPool.h:23:23: error: apr_pools.h: No such file or directory
)


Expected results:
-I/usr/include/activemq-cpp-3.4.0 -I/usr/include/apr-1


Additional info:
Explicit dependencies on apr-devel and apr-util-devel are not needed in spec file directly, they are resolved automatically from activemq-cpp.pc.
Comment 1 Fedora Update System 2013-09-06 10:58:47 EDT
activemq-cpp-3.7.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/activemq-cpp-3.7.1-1.el6
Comment 2 Fedora Update System 2013-09-06 13:31:32 EDT
Package activemq-cpp-3.7.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing activemq-cpp-3.7.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11470/activemq-cpp-3.7.1-1.el6
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-09-24 12:15:02 EDT
activemq-cpp-3.7.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.